local f = CreateFrame("Frame")
f:RegisterEvent("BATTLEFIELDS_SHOW")

f:SetScript("OnEvent", function(frame, event, name)
	if not IsControlKeyDown() then
		local BGName = GetBattlefieldInfo();
		local join = true
		for i = 1, MAX_BATTLEFIELD_QUEUES do
			local status, mapName = GetBattlefieldStatus(i)
			if mapName == BGName and status == "queued" then
				join = false
			end
		end
		
		if join then
			if CanJoinBattlefieldAsGroup() and party1 then
				JoinBattlefield(0, 1);
			else
				JoinBattlefield(0);
			end
		end
		
		HideUIPanel(BattlefieldFrame)
	end
end)